package domain


type AlibabaWdkFinanceOrderBackflowApiResult struct {
    /*
        调用接口返回的具体结果     */
    Models  *AlibabaWdkFinanceOrderBackflowFinanceOrderDetailResponse `json:"models,omitempty" `

    /*
        调用接口返回错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用接口返回错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用接口返回成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkFinanceOrderBackflowApiResult) SetModels(v AlibabaWdkFinanceOrderBackflowFinanceOrderDetailResponse) *AlibabaWdkFinanceOrderBackflowApiResult {
    s.Models = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowApiResult) SetErrCode(v string) *AlibabaWdkFinanceOrderBackflowApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowApiResult) SetErrMsg(v string) *AlibabaWdkFinanceOrderBackflowApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkFinanceOrderBackflowApiResult) SetSuccess(v bool) *AlibabaWdkFinanceOrderBackflowApiResult {
    s.Success = &v
    return s
}
